x003038_g_scriptId=003038

x003038_g_IdPuTong={}
x003038_g_IdPuTong[1]={800000}     --    刷的怪物

x003038_g_PuTongNum={}
x003038_g_PuTongNum[1]={4}     --   数量

x003038_g_ExistTime = 9000000

x003038_g_MonsterPosList={}     
x003038_g_MonsterPosList[1]={{326.11,160.08,0.29},{155.24,134.67,-0.9},{206.1,316.21,2.83},{123.84,258.86,1.57},{326.11,160.08,0.29},{155.24,134.67,-0.9},{206.1,316.21,2.83},{123.84,258.86,1.57}}	 
-- 上面的怪物坐标重复写两遍   方便随机不同的坐标

function x003038_OnActivityStart( scene,curTime,idx)	
	local PosNum = #x003038_g_MonsterPosList[1]/2
	local randPos = RandomMon(1, PosNum)	
	local Rcount = x003038_g_PuTongNum[1][1]-1
	local Lvl = GetWorldLvlByFestivalMonster(scene)
	print("刷怪世界等級")

	local AdaptLvl = math.floor(Lvl/10)
	print(AdaptLvl)
	SetSceneBossNum(scene, idx)
	for i = randPos, randPos+Rcount do
		local objId = CreateMonster(scene, x003038_g_IdPuTong[1][1]+AdaptLvl,x003038_g_MonsterPosList[1][i][3],x003038_g_MonsterPosList[1][i][1],x003038_g_MonsterPosList[1][i][2])
		--SetNpcCampByObjId(scene,objId,1)
		SetMonEndTime(scene, curTime, x003038_g_ExistTime, objId)
		LogMonster(scene,objId,x003038_g_IdPuTong[1][1]+AdaptLvl,x003038_g_MonsterPosList[1][i][3],x003038_g_MonsterPosList[1][i][1],x003038_g_MonsterPosList[1][i][2])
	
	end
end
